import crypto from 'node:crypto';
import 'node:fs';

function index(str, algo = "sha1") {
	return new Promise((resolve) => {
		const hash = crypto.createHash(algo);

		hash.update(str);

		resolve(hash.digest("hex"));
	})
}

export { index as default };
